Skip to main content
GET
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
assets
Get assets
curl --request GET \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/assets \
  --header 'Authorization: Bearer <token>'
[
  {
    "guid": "<string>",
    "type": "Rentalcar",
    "assetId": "<string>",
    "assetProvider": {
      "countryCode": "AT",
      "code": "ABC"
    },
    "active": true,
    "name": "<string>",
    "blobUuid": "<string>",
    "imageBlurHash": "<string>",
    "description": "<string>",
    "category": "<string>",
    "address": {
      "street": "<string>",
      "countryCode": "<string>",
      "zipCode": "<string>",
      "city": "<string>",
      "province": "<string>",
      "geoLatitude": 123,
      "geoLongitude": 123
    },
    "assetProviderCategory": {
      "id": "<string>",
      "name": "<string>"
    },
    "imageUrl": "<string>",
    "defaultImage": "<string>",
    "locationsHistory": [
      {
        "assigningDate": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "address": "<string>",
        "providerName": "<string>",
        "removalDate": "2023-11-07T05:31:56Z"
      }
    ],
    "referral": {
      "type": "Rentalcar",
      "active": true,
      "assetId": "<string>",
      "assetProvider": {
        "countryCode": "AT",
        "code": "ABC"
      },
      "name": "<string>",
      "description": "<string>",
      "category": "<string>",
      "address": {
        "street": "<string>",
        "countryCode": "<string>",
        "zipCode": "<string>",
        "city": "<string>",
        "province": "<string>",
        "geoLatitude": 123,
        "geoLongitude": 123
      }
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider

Required string length: 2
assetProviderCode
string
required

The three-letter code of the asset provider

Required string length: 3

Query Parameters

type
enum<string>

Asset type

Available options:
Rentalcar,
RentalcarStation
active
boolean

Status of asset

pageNumber
integer
default:0

Defines the requested page

Required range: x >= 0
pageSize
integer
default:100

Defines the requested page size

Required range: x >= 1

Response

List of matching assets

guid
string
required

Global unique location identifier object

Required string length: 1 - 36
type
enum<string>
required
Available options:
Rentalcar,
RentalcarStation
assetId
string
required

Asset id

Required string length: 1 - 255
assetProvider
object
required

Asset provider

active
boolean
default:true
required

Asset active status

name
string

Name of the asset

Required string length: 1 - 255
blobUuid
string

Blob UUID

Minimum string length: 1
imageBlurHash
string

The image blurhash of the asset image blob

description
string

Generic description about the asset

Required string length: 1 - 255
category
string

Asset category

Required string length: 1 - 255
address
object

Address of the asset

assetProviderCategory
object

Asset provider category assigned to the asset

imageUrl
string

Asset image URL

Maximum string length: 255
defaultImage
string

URL of the default image used

Maximum string length: 255
locationsHistory
Vehicle location history object · object[]

History of the locations

referral
object

Referenced asset